Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.tools.jsonrpc
Class JsonRpcException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.rabbitmq.tools.jsonrpc.JsonRpcException

All Implemented Interfaces:
  java.io.Serializable

    public class JsonRpcException

extends java.lang.Exception

Thrown when a JSON-RPC service indicates an error occurred during a call.

See Also:
  Serialized Form

Field Summary
`int` | `code` Error code
`java.lang.Object` | `error` Error detail object - may not always be present or meaningful
`java.lang.String` | `message` Error message
`java.lang.String` | `name` Usually the constant string, "JSONRPCError"

Constructor Summary
`JsonRpcException()`
`JsonRpcException(java.util.Map<java.lang.String,java.lang.Object> errorMap)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Usually the constant string, "JSONRPCError"

### code

    public int code

  Error code

### message

    public java.lang.String message

  Error message

### error

    public java.lang.Object error

  Error detail object - may not always be present or meaningful

Constructor Detail

### JsonRpcException

    public JsonRpcException()

### JsonRpcException

    public JsonRpcException(java.util.Map<java.lang.String,java.lang.Object> errorMap)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD